=== libs/core/arDataCamp/CMakeLists.txt ===
fwLoadProperties()

message(DEPRECATION "arDataCamp library is deprecated and will be removed in sight 22.0.
It is now useless can be safely removed from requirements.")
