=== libs/core/fwCamp/CMakeLists.txt ===
fwLoadProperties()

fwForwardInclude(
    ${CAMP_INCLUDE_DIR}
)

fwForwardLink(${CAMP_LIBRARIES})
