=== libs/core/fwMedDataCamp/CMakeLists.txt ===
fwLoadProperties()

message(DEPRECATION "fwMedDataCamp library is deprecated and will be removed in sight 22.0.
It is now useless can be safely removed from requirements.")
