=== debian/changelog ===
sight (20.2.0-2) unstable; urgency=medium

  * d/p: add new patch to fix vrrender launch. Closes: #982262

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 16 Mar 2021 20:59:58 +0000

sight (20.2.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  [Nilesh Patra]
  * New upstream version
  * Team upload.
  * debhelper-compat 13 (routine-update)
  
  [Flavien Bridault]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * d/p/: refresh patch
  * d/rules: enable PCH (https://git.ircad.fr/sight/sight/-/issues/263)

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 15 Dec 2020 11:10:27 +0100
