=== debian/control ===
Source: sight
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Flavien Bridault <fbridault@ircad.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libboost-all-dev,
               zlib1g-dev,
               libexpat1-dev,
               libpng-dev,
               libtiff5-dev,
               libcppunit-dev,
               libhdf5-dev,
               libqt5opengl5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               libvtk7-dev,
               libgdcm-dev,
               libinsighttoolkit4-dev,
               libann-dev,
               libvtkgdcm-dev,
               libvtk7-qt-dev,
               libcamp-dev,
               libglm-dev,
               xvfb,
               xauth,
               dcmtk,
               dbus-x11,
               rdfind,
               symlinks
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/sight
Vcs-Git: https://salsa.debian.org/med-team/sight.git
Homepage: https://git.ircad.fr/Sight/sight
Rules-Requires-Root: no

Package: libsight
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: fw4spl
Provides: fw4spl
Replaces: fw4spl
Description: Sight libraries
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package provides the shared libraries needed to
 run C++ programs that use Sight.

Package: libsight-dev
Architecture: any
Section: libdevel
Depends: libsight (= ${binary:Version}),
         libboost-all-dev,
         zlib1g-dev,
         libexpat1-dev,
         libpng-dev,
         libtiff5-dev,
         libcppunit-dev,
         libhdf5-dev,
         libqt5opengl5-dev,
         libqt5x11extras5-dev,
         qttools5-dev,
         libvtk7-dev,
         libgdcm-dev,
         libinsighttoolkit4-dev,
         libann-dev,
         libvtkgdcm-dev,
         libvtk7-qt-dev,
         libcamp-dev,
         libglm-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Sight header files
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package contains the development files.

Package: vrrender
Architecture: any
Depends: libsight (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: DICOM viewer
 Medical image viewer featuring negatoscope, multi-planar
 reconstruction, and volume rendering.
 .
 Many image formats are handled such as DICOM, mhd,
 inr.gz, vtk, vti,... Segmentations meshes can also
 be imported from DICOM and vtk formats, and visualized
 in mixed rendering with images.
 .
 Tools are provided to measure distances of
 structures in the image and to place landmarks.
 .
 Last, VRRender can also connect directly to a PACS, and
 then request, download or upload DICOM files.
