=== debian/watch ===
version=3
https://github.com/IRCAD-IHU/sight/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
