=== apps/CMakeLists.txt ===
add_subdirectory(SightCalibrator)
add_subdirectory(dicomxplorer)
add_subdirectory(SightViewer)
