=== configs/CMakeLists.txt ===
add_subdirectory(viz)
add_subdirectory(ui)
