=== tutorials/CMakeLists.txt ===

add_subdirectory(xml)
add_subdirectory(cpp)
add_subdirectory(qml)
