=== activities/viz/CMakeLists.txt ===
add_subdirectory(negato)
add_subdirectory(3d)
