=== examples/core/CMakeLists.txt ===
add_subdirectory(ExActivities)
add_subdirectory(ExDump)
add_subdirectory(ExTimeLine)
