=== examples/io/CMakeLists.txt ===
add_subdirectory(ExOgreRGBDStream)
add_subdirectory(ExVideoRecorder)
add_subdirectory(ExFrameByFrame)
add_subdirectory(ExIgtl)
if(SIGHT_ENABLE_REALSENSE)
    add_subdirectory(ExRealSense)
endif()
