=== libs/core/CMakeLists.txt ===
add_subdirectory(pch/pchCore)
add_subdirectory(core)
add_subdirectory(data)
add_subdirectory(pch/pchData)
add_subdirectory(activity)
add_subdirectory(service)
add_subdirectory(pch/pchService)
add_subdirectory(pch/pchServiceOmp)
add_subdirectory(atoms)
add_subdirectory(utest)
add_subdirectory(utestData)
