=== debian/changelog ===
sight (21.0.0-4) unstable; urgency=medium

  * Team upload.
  [Flavien Bridault]
  * d/p/: Add patch to build with insighttoolkit5-dev
    Add patch to build with vtk9-1

  [Andreas Tille]
  * Switch (Build-)Depends from libinsighttoolkit4-dev to
    libinsighttoolkit5-dev
  * Remove trailing whitespace in debian/control (routine-update)

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 12 Jan 2022 13:43:05 +0100

sight (21.0.0-3) unstable; urgency=medium

  * Team upload
  * Calling OFListIterator(T) instead of OFIterator<T> (Closes: #1001681)

 -- Pierre Gruet <pgt@debian.org>  Wed, 15 Dec 2021 23:03:15 +0100

sight (21.0.0-2) unstable; urgency=medium

  * d/p/: Add patch to remove a service that does not build on i386
  * d/.manpages: Update manual pages to match the current version

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 03 Nov 2021 10:50:39 +0100

sight (21.0.0-1) unstable; urgency=medium

  [Flavien Bridault]
  * Rename vrrender package into sightviewer
  * Add package for sightcalibrator
  * d/p/: remove patch to fix vrrender launch, no longer needed
    Add patch to fix the loading of dynamic libraries at runtime
    Add patch to add missing stdlib includes
    Add patch to disable samples build
  * Build-Depends: qt3d5-dev, qtmultimedia5-dev, qtquickcontrols2-5-dev,
                   libarchive-dev,libfftw3-dev, libopenigtlink-dev
  * d/upstream: update github organization urls

  [Andreas Tille]
  * Team upload.
  * Fix watchfile to detect new versions on github
  * New upstream version
    Closes: #984330
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Update watch file format version to 4.
  * Versioned Build-Depends: libcamp-dev (>= 0.8.4-3)
  * Build-Depends: libopencv-dev, libceres-dev

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 21 Oct 2021 15:00:59 +0200
