=== debian/control ===
--- 
+++ 
@@ -3,33 +3,39 @@
 Uploaders: Flavien Bridault <fbridault@ircad.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
+Build-Depends: cmake (>=3.19.0),
+               dcmtk,
+               debhelper-compat (= 13),
+               dbus-x11,
+               libarchive-dev,
                libboost-all-dev,
-               zlib1g-dev,
+               libcamp-dev (>= 0.8.4-3),
+               libceres-dev,
+               libcppunit-dev,
                libexpat1-dev,
-               libpng-dev,
-               libtiff5-dev,
-               libcppunit-dev,
-               libhdf5-dev,
+               libfftw3-dev,
+               libgdcm-dev,
+               libglm-dev,
+               libinsighttoolkit5-dev,
+               libogre-1.12-dev,
+               libopencv-dev,
+               libopenigtlink-dev,
                libqt5opengl5-dev,
                libqt5x11extras5-dev,
+               libvtk9-dev,
+               libvtkgdcm-dev,
+               libvtk9-qt-dev,
+               qt3d5-dev,
+               qtmultimedia5-dev,
+               qtquickcontrols2-5-dev,
                qttools5-dev,
-               libvtk7-dev,
-               libgdcm-dev,
-               libinsighttoolkit4-dev,
-               libann-dev,
-               libvtkgdcm-dev,
-               libvtk7-qt-dev,
-               libcamp-dev,
-               libglm-dev,
+               rdfind,
+               symlinks,
+               xauth,
                xvfb,
-               xauth,
-               dcmtk,
-               dbus-x11,
-               rdfind,
-               symlinks
-Standards-Version: 4.5.1
+               zlib1g-dev,
+               zstd
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/sight
 Vcs-Git: https://salsa.debian.org/med-team/sight.git
 Homepage: https://git.ircad.fr/Sight/sight
@@ -76,14 +82,15 @@
          libqt5opengl5-dev,
          libqt5x11extras5-dev,
          qttools5-dev,
-         libvtk7-dev,
+         libvtk9-dev,
          libgdcm-dev,
-         libinsighttoolkit4-dev,
+         libinsighttoolkit5-dev,
          libann-dev,
          libvtkgdcm-dev,
-         libvtk7-qt-dev,
+         libvtk9-qt-dev,
          libcamp-dev,
          libglm-dev,
+         libogre-1.12-dev,
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Sight header files
@@ -104,11 +111,14 @@
  .
  This package contains the development files.
 
-Package: vrrender
+Package: sightviewer
 Architecture: any
 Depends: libsight (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Conflicts: vrrender
+Provides: vrrender
+Replaces: vrrender
 Description: DICOM viewer
  Medical image viewer featuring negatoscope, multi-planar
  reconstruction, and volume rendering.
@@ -121,5 +131,20 @@
  Tools are provided to measure distances of
  structures in the image and to place landmarks.
  .
- Last, VRRender can also connect directly to a PACS, and
+ Last, SightViewer can also connect directly to a PACS, and
  then request, download or upload DICOM files.
+
+Package: sightcalibrator
+Architecture: any
+Depends: libsight (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Camera calibration software
+ User-friendly application to calibrate mono and stereo cameras.
+ .
+ SightCalibrator can take images, video files, or any supported
+ camera device as input. It detects the presence of a checkboard
+ in images. The parameters of the checkboard can be customized.
+ Individual images can then be marked to be used in the
+ computation of the calibration. Last, the intrinsic and extrinsic
+ parameters can be exported in OpenCV format, Yaml or XML.
