=== debian/watch ===
version=4
https://github.com/IRCAD/sight/releases .*/refs/tags/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
